MyGUI 3.2.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Attributes
MyGUI::Singleton< T > Class Template Reference

`#include <MyGUI_Singleton.h>`

Inheritance diagram for MyGUI::Singleton< T >:
[legend]

## Public Types
typedef Singleton< T > | Base

## Public Member Functions
| Singleton ()
virtual | ~Singleton ()

## Static Public Member Functions
static T & | getInstance ()
static T * | getInstancePtr ()
static const char * | getClassTypeName ()

## Protected Member Functions
template<>
const char * | mClassTypeName ("ClipboardManager")
template<>
const char * | mClassTypeName ("ControllerManager")
template<>
const char * | mClassTypeName ("DataManager")
template<>
const char * | mClassTypeName ("DynLibManager")
template<>
const char * | mClassTypeName ("FactoryManager")
template<>
const char * | mClassTypeName ("FontManager")
template<>
const char * | mClassTypeName ("Gui")
template<>
const char * | mClassTypeName ("InputManager")
template<>
const char * | mClassTypeName ("LanguageManager")
template<>
const char * | mClassTypeName ("LayerManager")
template<>
const char * | mClassTypeName ("LayoutManager")
template<>
const char * | mClassTypeName ("PluginManager")
template<>
const char * | mClassTypeName ("PointerManager")
template<>
const char * | mClassTypeName ("RenderManager")
template<>
const char * | mClassTypeName ("ResourceManager")
template<>
const char * | mClassTypeName ("SkinManager")
template<>
const char * | mClassTypeName ("SubWidgetManager")
template<>
const char * | mClassTypeName ("ToolTipManager")
template<>
const char * | mClassTypeName ("WidgetManager")

## Static Protected Attributes
static const char * | mClassTypeName

## Detailed Description

### template<class T>
class MyGUI::Singleton< T >

Definition at line 35 of file MyGUI_Singleton.h.

## Member Typedef Documentation

template<class T>

typedef Singleton<T> MyGUI::Singleton< T >::Base

Definition at line 39 of file MyGUI_Singleton.h.

## Constructor & Destructor Documentation

template<class T>

MyGUI::Singleton< T >::Singleton | ( |  | ) |
| inline

Definition at line 41 of file MyGUI_Singleton.h.

template<class T>

virtual MyGUI::Singleton< T >::~Singleton | ( |  | ) |
| inline virtual

Definition at line 47 of file MyGUI_Singleton.h.

## Member Function Documentation

template<class T>

static const char* MyGUI::Singleton< T >::getClassTypeName | ( |  | ) |
| inline static

Definition at line 64 of file MyGUI_Singleton.h.

template<class T>

static T& MyGUI::Singleton< T >::getInstance | ( |  | ) |
| inline static

Definition at line 53 of file MyGUI_Singleton.h.

template<class T>

static T* MyGUI::Singleton< T >::getInstancePtr | ( |  | ) |
| inline static

Definition at line 59 of file MyGUI_Singleton.h.

template<>

const char * MyGUI::Singleton< DataManager >::mClassTypeName | ( | "DataManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< FactoryManager >::mClassTypeName | ( | "FactoryManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< RenderManager >::mClassTypeName | ( | "RenderManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< DynLibManager >::mClassTypeName | ( | "DynLibManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< ToolTipManager >::mClassTypeName | ( | "ToolTipManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< PluginManager >::mClassTypeName | ( | "PluginManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< LanguageManager >::mClassTypeName | ( | "LanguageManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< LayoutManager >::mClassTypeName | ( | "LayoutManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< ControllerManager >::mClassTypeName | ( | "ControllerManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< InputManager >::mClassTypeName | ( | "InputManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< FontManager >::mClassTypeName | ( | "FontManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< ResourceManager >::mClassTypeName | ( | "ResourceManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< SubWidgetManager >::mClassTypeName | ( | "SubWidgetManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< LayerManager >::mClassTypeName | ( | "LayerManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< SkinManager >::mClassTypeName | ( | "SkinManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< PointerManager >::mClassTypeName | ( | "PointerManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< Gui >::mClassTypeName | ( | "Gui" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< WidgetManager >::mClassTypeName | ( | "WidgetManager" |  | ) |
| protected

template<>

const char * MyGUI::Singleton< ClipboardManager >::mClassTypeName | ( | "ClipboardManager" |  | ) |
| protected

## Field Documentation

template<class T>

const char* MyGUI::Singleton< T >::mClassTypeName
| static protected

Definition at line 73 of file MyGUI_Singleton.h.

The documentation for this class was generated from the following file:

- MyGUI_Singleton.h